package com.lz.modules.equipment.dao;
/**
* <p>
* 盘点 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-10
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.equipment.entity.TCount;
import com.lz.modules.equipment.entity.TCountReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TCountMapper extends BaseMapper<TCount> {


	TCount selectTCountById(@Param("id") Long id);


	Long insertTCount(TCount tCount);


	int updateTCountById(TCount tCount);


	int updateCoverTCountById(TCount tCount);


	int deleteTCountById(@Param("id") Long id);


	TCount selectMaxCount();

	List<TCount> selectListLimit(@Param("limit") int limit);

	List selectByReq(@Param("page") IPage page, @Param("req") TCountReq req);
}